#include "drone_target.hpp"
#include "godot_cpp/variant/utility_functions.hpp"
#include "utils/godot_macros.h"

namespace godot {
void EnemyTargetBody::_bind_methods() {
#define CLASSNAME EnemyTargetBody
    GDFUNCTION(damage);
}

void EnemyTargetBody::_enter_tree() {
    this->set_freeze_mode(FreezeMode::FREEZE_MODE_KINEMATIC);
    this->set_freeze_enabled(true);
}

void EnemyTargetBody::damage() {
    UtilityFunctions::print("enemy destroyed");
    this->get_owner()->queue_free();
}
}
